%define		module	pycups
Summary:	Set of Python bindings for the CUPS API
Summary(pl.UTF-8):	Zbiór wiązań Pythona do API CUPS-a
Name:		python3-%{module}
Version:	2.0.4
Release:	1
License:	GPL v2+
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/p/pycups/%{module}-%{version}.tar.gz
# Source0-md5:	a4e9bcdc2012fcff660e0806416a1fb3
URL:		http://cyberelk.net/tim/software/pycups/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	cups-devel >= 1.2.1
BuildRequires:	epydoc
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-pythonprov
Requires:	python3-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Python bindings for the CUPS API, known as
pycups. It was written for use with system-config-printer, but can be
put to other uses as well.

%description -l pl.UTF-8
Ten pakiet udostępnia wiązania Pythona do API CUPS-a, znane jako
pycups. Został napisany z myślą o pakiecie system-config-printer, ale
może mieć także inne zastosowania.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{py3_sitedir}/cups.cpython-*.so
%{py3_sitedir}/pycups-%{version}-py*.egg-info
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pycups.git;a=log;h=master

* Sat Jun 07 2025 Jan Rękorajski <baggins@pld-linux.org> 1a718c6
- up to 2.0.4

* Sat Jun 07 2025 Jan Rękorajski <baggins@pld-linux.org> 311b104
- renamed to python3-pycups

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 2ab679f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4b69dd7
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e905489
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 00932b1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 490a83b
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> f69c17e
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 3ef1352
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cd3f51a
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 112a3a8
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 68a190b
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2ba271e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f281862
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f3e9c3e
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1828274
- updated to 1.9.73

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f6898cd
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c3617d8
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> fce083f
- updated to 1.9.69

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 9a7ae3c
- updated to 1.9.68
- added python3 package

